Name:          liblc3
Version:       1.1.3
Release:       1mamba
Summary:       Low Complexity Communication Codec (LC3)
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/google/liblc3
Source:        https://github.com/google/liblc3.git/v%{version}/liblc3-%{version}.tar.bz2
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: meson

%description
Low Complexity Communication Codec (LC3).

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q

%build
%meson
%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/liblc3.so.*
%doc LICENSE

%files devel
%defattr(-,root,root)
%{_includedir}/lc3.h
%{_includedir}/lc3_cpp.h
%{_includedir}/lc3_private.h
%{_libdir}/liblc3.so
%{_libdir}/pkgconfig/lc3.pc
%doc README.md

%changelog
* Wed Feb 12 2025 Automatic Build System <autodist@openmamba.org> 1.1.3-1mamba
- automatic version update by autodist

* Sun Feb 02 2025 Automatic Build System <autodist@openmamba.org> 1.1.2-1mamba
- automatic version update by autodist

* Sat Apr 20 2024 Automatic Build System <autodist@openmamba.org> 1.1.1-1mamba
- automatic version update by autodist

* Fri Mar 29 2024 Automatic Build System <autodist@openmamba.org> 1.1.0-1mamba
- automatic version update by autodist

* Fri Aug 04 2023 Automatic Build System <autodist@mambasoft.it> 1.0.4-1mamba
- automatic version update by autodist

* Fri May 12 2023 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Sun Mar 26 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-1mamba
- package created using the webbuild interface
